Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.m4
Interface Docu

All Superinterfaces:
  M4Data, M4Object

All Known Implementing Classes:
  Docu

public interface Docu
extends M4Data

Version:
  $Id: Docu.java,v 1.3 2006/04/11 14:10:13 euler Exp $
Author:
  Daniel Hakenjos, Timm Euler

Method Summary
`M4Object` | `getM4Object()` Returns the M4Object that this documentation entry belongs to.
`long` | `getObjectId()` Returns the id of the M4 object associated with this documentation object.
`java.lang.String` | `getObjectType()` Returns the type of the M4 object associated with this documentation object.
`java.lang.String` | `getText()` Returns the actual documentation entry (the description String).
`void` | `setM4Object(M4Data newM4Object)` Set the connection to the M4 object that this documentation object is associated with.
`void` | `setObjectId(long id)` Sets the id of the M4 object associated with this documentation object.
`void` | `setObjectType(java.lang.String type)` Sets the the type of the M4 object associated with this documentation object.
`void` | `setText(java.lang.String newText)` Sets the text (the description String for the M4 Object that this Documentation object belongs to).

Methods inherited from interface edu.udo.cs.miningmart.m4.M4Data
`deleteSoon, getDocumentation, getValidName, isDirty, isWaitingForDelete, setDocumentation`

Methods inherited from interface edu.udo.cs.miningmart.m4.M4Object
`doPrint, doPrint, equals, executeBusinessSingleValueSqlRead, executeBusinessSingleValueSqlReadL, executeBusinessSqlRead, executeBusinessSqlWrite, executeM4SingleValueSqlRead, executeM4SingleValueSqlReadL, executeM4SqlRead, executeM4SqlWrite, getCasePrintObject, getId, getM4Db, getM4ObjectFromCache, getName, getNextM4SequenceValue, isNew, load, print, putM4ObjectToCache, replaceSpacesInName, setId, setName`

Method Detail

### getM4Object

    public M4Object getM4Object()

  Returns the M4Object that this documentation entry belongs to.

  Returns:
    M4Object

### getText

    public java.lang.String getText()

  Returns the actual documentation entry (the description String).

  Returns:
    String

### setM4Object

    public void setM4Object(M4Data newM4Object)
                     throws M4Exception

  Set the connection to the M4 object that this documentation object is associated with.

  Throws:
    `M4Exception`

### setText

    public void setText(java.lang.String newText)

  Sets the text (the description String for the M4 Object that this Documentation object belongs to).

  Parameters:
    `newText` - The new text to set

### getObjectId

    public long getObjectId()

  Returns the id of the M4 object associated with this documentation object.

  Returns:
    long

### getObjectType

    public java.lang.String getObjectType()

  Returns the type of the M4 object associated with this documentation object.

  Returns:
    String

### setObjectId

    public void setObjectId(long id)
                     throws M4Exception

  Sets the id of the M4 object associated with this documentation object.

  Parameters:
    `id` - The id to set
  Throws:
    `M4Exception`

### setObjectType

    public void setObjectType(java.lang.String type)
                       throws M4Exception

  Sets the the type of the M4 object associated with this documentation object.

  Parameters:
    `type` - The class of the M4 object.
  Throws:
    `M4Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005